GOTCTL(8)

NAME
gotctl - control the Game of Trees Daemon

SYNOPSIS
gotctl [-hV] [-f path] command [arg ...]

DESCRIPTION
gotctl controls the gotd(8) daemon.

The options for gotctl are as follows:

-h  Display usage information and exit immediately.

-f path
    Set the path to the unix socket which gotd(8) is listening on. If not specified, the default path /var/run/gotd.sock will be used.

-V, --version
    Display program version and exit immediately.

The commands for gotctl are as follows:

info
    Display information about a running gotd(8) instance. This operation requires root privileges.

stop
    Stop a running gotd(8) instance. This operation requires root privileges.

reload [-c config-file] [-n] [-s secrets]
    Reload a running gotd(8) instance. gotd(8) will relaunch with an updated configuration read from the provided configuration files. The previous instance of gotd(8) will continue to serve existing client connections and then exit.

    This operation requires root privileges.

    The options for gotctl reload are as follows:

    -f config-file
        Set the path to the configuration file. If not specified, the file /etc/gotd.conf will be used.

    -n  Only check the configuration files for validity.

    -s secrets
        Set the path to the secrets file. If not specified, the file /etc/gotd-secrets.conf will be used if it exists.

SEE ALSO
got(1), gotd(8)

AUTHORS
Stefan Sperling <stsp@openbsd.org>